Subject: Re: [core] Genart last call review of draft-ietf-core-yang-cbor-15

From: Ivaylo Petrov <[email-masked]>
Date: Mon, 14 Jun 2021 14:07:46 +0200

Hello Peter,

Thank you for your review and apologies for the delay! Please find our
answers to your questions below (TL;DR: all suggestions sound good).
The diff with -15 is available here [1]. The updated version is
available as txt [2] and as html [3].

Thanks,
Ivaylo

[1]: https://tools.ietf.org/rfcdiff?url1=draft-ietf-core-yang-cbor&url2=http://core-wg.github.io/yang-cbor/draft-ietf-core-yang-cbor-latest.txt
[2]: https://core-wg.github.io/yang-cbor/draft-ietf-core-yang-cbor-latest.txt
[3]:  https://core-wg.github.io/yang-cbor/draft-ietf-core-yang-cbor-latest.html

On Sun, Mar 21, 2021 at 2:15 AM Peter Yee via Datatracker
<[email-masked]> wrote:
>
> Reviewer: Peter Yee
> Review result: Ready with Nits
>
> I am the assigned Gen-ART reviewer for this draft. The General Area
> Review Team (Gen-ART) reviews all IETF documents being processed
> by the IESG for the IETF Chair.  Please treat these comments just
> like any other last call comments.
>
> For more information, please see the FAQ at
>
> <https://trac.ietf.org/trac/gen/wiki/GenArtfaq>.
>
> Document: draft-ietf-core-yang-cbor-15
> Reviewer: Peter Yee
> Review Date: 2021-03-20
> IETF LC End Date: 2021-03-17
> IESG Telechat date: Not scheduled for a telechat
>
> Summary: This seems like a straightforward encoding specification draft. While
> I did not check to see that the example encodings were correct, they appeared
> logical to the eye. Really, the only thing I have to offer is a small set of
> nits that mildly improve the readability of the document. [Ready with nits]
>
> Major issues: None
>
> Minor issues: None
>
> Nits/editorial comments:
>
> General:
>
> Ensure that “i.e.” is followed by a comma.

[IP]: Done.

> Specific:
>
> Page 4, “child” term: insert “or” before “an action output”.

[IP]: Done.

> Page 4, “item” term: append a comma after submodule.

[IP]: Done.

> Page 5, section 3, 2nd paragraph, 1st sentence: append a comma after “input”.
> Change the first “and” to “or” (before “action output”).

[IP]: Done.

> Page 5, section 3, 3rd paragraph, 2nd sentence: consider inserting “a” before
> “SID”. Append a comma after “nodes”. Change the “and” to “or”.

[IP]: Done.

> Page 5, section 3, 5th paragraph, 1st sentence: change “and” to “or”.

[IP]: Done.

> Page 5, section 3, 6th paragraph, 1st sentence: change the first “node” to
> “nodes”. Append a comma after “name”.

[IP]: Done.

> Page 8, section 3.2, 6th bullet item: append a comma after “submodules”.

[IP]: Done.

> Page 8, section 3.3, 1st paragraph, 1st sentence: change “string” to “strings”.
> Change “as” after “similar” to “to”.

[IP]: Done.

> Page 8, section 3.3, 1st paragraph, 2nd sentence: change “to SIDs” to “with
> SID”.

[IP]: Done.

> Page 11, section 4.2, 1st paragraph, 1st sentence: consider aligning the
> capitalization and pluralization of terms in this sentence with the usage in
> the Abstract. Append a comma after “inputs” (or “input” if you change this
> sentence to match the Abstract).

[IP]: Done.

> Page 22, 1st paragraph following the bullet items, 2nd sentence: change comma
> after to either a period or a semicolon.

[IP]: Done.

> Page 26, section 5.1, 1st paragraph, 2nd sentence: change the comma to a
> semicolon. Insert “to” before “the CBOR”.

[IP]: Done.

> Page 27, section 5.2, 1st paragraph, 2nd sentence: change the comma to a
> semicolon. Insert “to” before “the CBOR”.

[IP]: Done.

> Page 29, 1st paragraph: change “a” before “’mtu’” to “an”.

[IP]: Done.

> Page 35, section 6.10: delete the comma after “identityref”. Insert “as” before
> both “a YANG Schema” and “a name”.

[IP]: Done.

> Page 35, section 6.10.1, 2nd sentence: consider changing “as” to “used for”.

[IP]: Done.

> Page 36, section 6.11, 2nd paragraph: change “a” to “an” before “’is-router’”.

[IP]: Done.

> Page 37, section 6.12, 2nd paragraph following the bullet items: insert “a”
> before “CBOR”.

[IP]: Done.

> Page 39, 3rd paragraph: would it make more sense to change “Schema nodes
> member” to “Schema node members”?

[IP]: Yes, done.

> Page 39, 2nd bullet item, 2nd sentence: insert “the” before “top”. Change
> “follow” to “followed”.

[IP]: Done.

> Page 41, section 6.13.2, 1st paragraph, 1st sentence: I believe “analogous”
> makes more sense than “analogical” in this sentence:

[IP]: Done.

> Page 43, section 8, 2nd paragraph, 2nd sentence: change “of” to “to”.

[IP]: Done.

>
>
> _______________________________________________
> core mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/core